Resource Center/Resource Pool/VM Instance Operations
PUTVM Instance OperationsSince 3.7.0SynchronousAuth Required
SetVmQxlMemory
SetVmQxlMemory
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe VM instance UUID.
Body Fields
setvmqxlmemoryObjectRequiredsetvmqxlmemory request body object.
ramIntegerOptional. The Random Access Memory (RAM) size. Default value: 65536.
vramIntegerOptional. The video RAM (VRAM) size. Default value: 32768.
vgamemIntegerOptional. The Video Graphics Array (VGA) memory size. Default value: 16384.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/vm-instances/{uuid}/actions
/zstack/v1/vm-instances/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/vm-instances/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"setvmqxlmemory":{"ram":1,"vram":1,"vgamem":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
